---
title: CanvasRenderingContext2D.measureText()
slug: Web/API/CanvasRenderingContext2D/measureText
tags:
  - API
  - Canvas
  - CanvasRenderingContext2D
  - Method
  - Reference
---
<div>{{APIRef}}</div>

<p>The <code><strong>CanvasRenderingContext2D</strong></code><strong><code><span>.measureText()</span></code></strong> method returns a {{domxref("TextMetrics")}} object that contains information about the measured text (such as its width, for example).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>ctx</em>.measureText(<em>text</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>text</code></dt>
 <dd>The text {{jsxref("String")}} to measure.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("TextMetrics")}} object.</p>

<h2 id="Example">Example</h2>

<p>Given this {{HTMLElement("canvas")}} element:</p>

<pre class="brush: html">&lt;canvas id="canvas"&gt;&lt;/canvas&gt;
</pre>

<p>... you can get a {{domxref("TextMetrics")}} object using the following code:</p>

<pre class="brush: js; highlight:[4]">const canvas = document.getElementById('canvas');
const ctx = canvas.getContext('2d');

let text = ctx.measureText('Hello world');
console.log(text.width);  // 56;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "scripting.html#dom-context-2d-measuretext", "CanvasRenderingContext2D.measureText")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CanvasRenderingContext2D.measureText")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The interface defining this method: {{domxref("CanvasRenderingContext2D")}}</li>
 <li>{{domxref("TextMetrics")}}</li>
</ul>
